Principal()
{
   clear;
   cecho 1 44 "***************************************************************************";
   cecho 1 44 "|Projeto Expresso Livre                                                   |";
   cecho 1 44 "| http://www.expressolivre.org                                            |";
   cecho 1 44 "| Script Generico para instalacao do ambiente Expresso Livre.             |";
   cecho 1 44 "| Versao do Script 1.3 - Data 11/02/2011                                  |";
   cecho 1 44 "| IMPORTANTE: LEIA O ARQUIVO README E PREINSTALL ANTES DE INSTALAR!!!     |";
   cecho 1 44 "| Cada script de cada distribuicao possui seu mantenedor.                 |";
   cecho 1 44 "| Voce pode encontrar os creditos em cada instalador.                     |";   
   cecho 1 44 "***************************************************************************";
   echo   
   cecho 33 1 "Escolha a sua distribuicao Linux:"
   echo
   cecho 1 1 "1. Debian Lenny"
   cecho 1 1 "2. Debian Squeeze"
   cecho 1 1 "3. SuSe 10.0"
   cecho 1 1 "4. SuSe 10.1"
   cecho 1 1 "5. CentOS 5"
   cecho 1 1 "6. Red Hat Enterprise 5"   
   cecho 1 1 "0. Sair do Script"
   echo
   cecho 32 1 "Digite sua opcao e pressione ENTER: " -n; read opcao;
   case $opcao in
     1) InstalarDebian_lenny ;;
     2) InstalarDebian_squeeze ;;
     3) InstalarSuse_100 ;;
     4) InstalarSuse_101 ;;
     5) InstalarCentos_5 ;;
     6) InstalarRH_E5 ;;
     0) Fim;;
     *) cecho 31 1 "Erro: Opo invalida" ; sleep 1; clear; Principal;
   esac
}

#	Funo para imprimir colorido
#	$1 -> Numero da cor do texto
#	$2 -> Numero da cor de fundo
#	$3 -> Texto
#	$4 -> Imprimir na mesma linha, use -n
cecho(){
	echo $4 -e "\e[$1;$2m $3";tput sgr0;
}

returnMain()
{
    cd ..;
    cecho 31 1 "Pressione ENTER para voltar ao menu principal" -n;
    read a; 
    clear;
    Principal
}
# Funcoes que invocam os respectivos scripts
InstalarDebian_lenny()
{
    echo "Invocando o script para o Debian Lenny ...";
    cd debian;./expressoInstallDebian-lenny.sh;
	returnMain;
}
InstalarDebian_squeeze()
{
    echo "Invocando o script para o Debian Squeeze ...";
    cd debian;./expressoInstallDebian-squeeze.sh;
	returnMain;
}
InstalarSuse_100()
{
    echo "Invocando o script para o Suse 10.0 ...";
    cd suse;./expressoInstallSuse10.0.sh;
	returnMain;
}
InstalarSuse_101()
{
    echo "Invocando o script para o Suse 10.1 ...";
    cd suse;./expressoInstallSuse10.1.sh;
	returnMain;
}
InstalarCentos_5()
{
    echo "Invocando o script para o CentoOS ...";
    cd rhel5-centos5;./expressoInstallCentos5.sh;
	returnMain;
}
InstalarRH_E5()
{
    echo "Invocando o script para o Red Hat Enterprise 5 ...";
    cd rhel5-centos5;./expressoInstallRHEL5.sh;
	returnMain;
}

Fim()
{
 exit 0;
}

Principal
